---
updatedAt: 2025-04-29T09:34:09.000Z
agentTools:
  projectIndex: https://developers.wingify.com/llms.txt
---

# Update workspace

Request URI for Sub Account

```
PATCH /accounts/1
```

Request Format

```
PATCH /accounts/1
```

Update details of Account.

| Category                                          | Value to be passed in API |
| :------------------------------------------------ | :------------------------ |
| eCommerce / Internet Retail                       | ecommerce                 |
| Software / SaaS / Downloads                       | saas                      |
| Media / Publishers / Blog                         | media                     |
| Digital Marketing / Agency / Web Development Shop | agency                    |
| Travel and Tourism / Hotels / Hospitality         | travel                    |
| Non-government / Charity                          | ngo                       |
| Entertainment                                     | entertainment             |
| Banking / Financial Services / Insurance          | banking                   |
| Business Consulting                               | businessConsulting        |
| Healthcare / Medicine / Bio                       | health                    |
| Education / Training                              | education                 |
| Telecom                                           | telecom                   |

> ❗️
>
> Use `enabled` field to Enable/Disable workspace with Caution.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "api",
    "version": "4"
  },
  "servers": [
    {
      "url": "https://app.wingify.com/api/v2"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "token"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/accounts/{account_id}": {
      "patch": {
        "summary": "Update workspace",
        "description": "",
        "operationId": "update-account-information",
        "parameters": [
          {
            "name": "account_id",
            "in": "path",
            "description": "Use 'current' keyword to refer to the Main Account or the Integer Sub Account Id",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "name": {
                    "type": "string",
                    "description": "Workspace Name"
                  },
                  "timezone": {
                    "type": "string",
                    "description": "Timezone associated with the Workspace e.g. \\\"Asia\\/Kolkata\\\""
                  },
                  "enabled": {
                    "type": "boolean",
                    "description": "Disable/Enable Workspace"
                  },
                  "company": {
                    "properties": {
                      "name": {
                        "type": "string",
                        "description": "Company name associated with the Workspace"
                      },
                      "website": {
                        "type": "string",
                        "description": "Website URL of the Company, if any"
                      },
                      "size": {
                        "type": "string",
                        "description": "Choose among these options [\"1-200\",\"201-500\",\"501-1000\",\"1001-2000\",\"2000+\"]"
                      },
                      "industry": {
                        "properties": {
                          "type": {
                            "type": "string",
                            "description": "Industry Type of the Company"
                          }
                        },
                        "required": [],
                        "type": "object"
                      }
                    },
                    "required": [],
                    "type": "object"
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"_data\": {\n    \"name\": \"API Account Name\",\n    \"timezone\": \"Asia\\/Kolkata\",\n    \"enabled\": true,\n    \"company\": {\n      \"name\": \"API Company Name\",\n      \"website\": \"http:\\/\\/wingify.com\",\n      \"size\": \"1-200\",\n      \"industry\": {\n        \"type\": \"saas\"\n      }\n    }\n  }\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "_data": {
                      "type": "object",
                      "properties": {
                        "name": {
                          "type": "string",
                          "example": "API Account Name"
                        },
                        "timezone": {
                          "type": "string",
                          "example": "Asia/Kolkata"
                        },
                        "enabled": {
                          "type": "boolean",
                          "example": true,
                          "default": true
                        },
                        "company": {
                          "type": "object",
                          "properties": {
                            "name": {
                              "type": "string",
                              "example": "API Company Name"
                            },
                            "website": {
                              "type": "string",
                              "example": "http://wingify.com"
                            },
                            "size": {
                              "type": "string",
                              "example": "1-200"
                            },
                            "industry": {
                              "type": "object",
                              "properties": {
                                "type": {
                                  "type": "string",
                                  "example": "saas"
                                }
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```